stunnel Unix install notes


1. If your machine supports POSIX threads make sure your SSL
   library is compiled with -DTHREADS.

2. Compile the software:

        ./configure
        make
        make install

   (see potential options for 'configure' at the end of this file)

3. Create stunnel configuration file (stunnel.conf).

4. Add stunnel invocation to your system's startup files.
   For SysV-compatible init you can use stunnel.init script.

     or

   Modify /etc/services and /etc/inetd.conf, restart inetd (inetd mode).

   See the manual for details.

5. There are a variety of compile-time options you may supply when
   running configure.  Most commonly used are:

   --with-ssl=DIR
        where your SSL libraries and include files are installed

   --with-random=FILE
        read randomness from FILE for PRNG seeding

   --with-egd-socket=FILE
        location of Entropy Gathering Daemon socket, if running EGD
        (for example on a machine that lacks a /dev/urandom device)

   Use `./configure --help' to see all the options.

